curl --request GET \
--url https://api.example.com/v1/contacts/:id/notes{
"data": {
"notes": [
{
"id": "<string>",
"title": "<string>",
"content": "<string>",
"note_type": "<string>",
"tags": [
{}
],
"is_pinned": true,
"created_date": "<string>",
"updated_date": "<string>"
}
]
},
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}Retrieve a paginated list of notes for a specific contact
curl --request GET \
--url https://api.example.com/v1/contacts/:id/notes{
"data": {
"notes": [
{
"id": "<string>",
"title": "<string>",
"content": "<string>",
"note_type": "<string>",
"tags": [
{}
],
"is_pinned": true,
"created_date": "<string>",
"updated_date": "<string>"
}
]
},
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}Authorization: Bearer wbk_your_api_key_here
curl https://data.leadlex.com/functions/v1/api-gateway/v1/contacts/123e4567-e89b-12d3-a456-426614174000/notes \
-H "Authorization: Bearer wbk_your_api_key_here"
{
"data": {
"notes": [
{
"id": "note-001",
"title": "Meeting notes",
"content": "Discussed partnership",
"note_type": "general",
"tags": [],
"is_pinned": false,
"created_date": "2026-03-06T10:00:00Z",
"updated_date": null
}
]
},
"meta": { "page": 1, "per_page": 50, "total": 3 }
}
| Status | Code | Description |
|---|---|---|
| 404 | not_found | Contact not found |
| 403 | insufficient_permissions | Missing contacts:read permission |